<Project Sdk="Microsoft.NET.Sdk.Web">

  <PropertyGroup>
    <TargetFramework>net8.0</TargetFramework>
    <Nullable>enable</Nullable>
    <ImplicitUsings>enable</ImplicitUsings>
    <DockerDefaultTargetOS>Linux</DockerDefaultTargetOS>
    <DockerfileContext>..\Expedience</DockerfileContext>
  </PropertyGroup>

  <ItemGroup>
    <None Remove="key.bin" />
  </ItemGroup>

  <ItemGroup>
    <EmbeddedResource Include="key.bin" />
  </ItemGroup>

  <ItemGroup>
    <PackageReference Include="MassTransit.RabbitMQ" Version="8.2.3" />
    <PackageReference Include="Microsoft.AspNetCore.OpenApi" Version="8.0.6" />
    <PackageReference Include="Microsoft.Extensions.Configuration" Version="8.0.0" />
    <PackageReference Include="Microsoft.Extensions.DependencyInjection" Version="8.0.0" />
    <PackageReference Include="Swashbuckle.AspNetCore" Version="6.6.2" />
  </ItemGroup>

  <ItemGroup>
    <ProjectReference Include="..\Expedience.Infrastructure\Expedience.Infrastructure.csproj" />
    <ProjectReference Include="..\Expedience.Models\Expedience.Models.csproj" />
  </ItemGroup>

</Project>
